| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Classes | Public Member Functions
com.symantec.sepm.webservice.statistic.StatPingAspect Class Reference

This class defines the way to send stat pings before for various areas of interest. More...

## Classes
enum | WebServiceCall
| An enum for web service calls. More...

## Public Member Functions
void | catchPowerEraserCommandCall ()
| Pointcut for power eraser command. More...
void | catchEocCommandCall ()
| Pointcut for Eoc command. More...
Object | sendStatPingForWebService (ProceedingJoinPoint joinPoint) throws Throwable
| Send a ping if a web service is called, which also includes the call result. More...
void | sendPowerEraserPing (JoinPoint joinPoint)
| Captures Power Eraser command. More...
void | sendEoCPing (JoinPoint joinPoint)
| Captures EOC command and the size of payload. More...

## Detailed Description

This class defines the way to send stat pings before for various areas of interest.

We construct all the ping parameters here so the SEPM ping server does not have to process them again. In addition, this avoids duplicate code in SEPM ping server because otherwise it'd need knowledge about the pings sent here, which makes developing pings more complicated.

## Member Function Documentation

void com.symantec.sepm.webservice.statistic.StatPingAspect.catchPowerEraserCommandCall | ( |  | ) |

Pointcut for power eraser command.

void com.symantec.sepm.webservice.statistic.StatPingAspect.catchEocCommandCall | ( |  | ) |

Pointcut for Eoc command.

Object com.symantec.sepm.webservice.statistic.StatPingAspect.sendStatPingForWebService | ( | ProceedingJoinPoint | joinPoint | ) | throws Throwable

Send a ping if a web service is called, which also includes the call result.

Parameters

  joinPoint |

Returns
  Object

void com.symantec.sepm.webservice.statistic.StatPingAspect.sendPowerEraserPing | ( | JoinPoint | joinPoint | ) |

Captures Power Eraser command.

Parameters

  joinPoint |

void com.symantec.sepm.webservice.statistic.StatPingAspect.sendEoCPing | ( | JoinPoint | joinPoint | ) |

Captures EOC command and the size of payload.

Parameters

  joinPoint |